Bug 506476 - Package Review: rest - A library for access to RESTful web services
Package Review: rest - A library for access to RESTful web services
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Yanko Kaneti
Fedora Extras Quality Assurance
:
Depends On: 506450
Blocks: FedoraMoblin20 506486 506833
  Show dependency treegraph
 
Reported: 2009-06-17 09:25 EDT by Peter Robinson
Modified: 2010-01-24 14:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 16:34:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
yaneti: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-06-17 09:25:02 EDT
SPEC: http://pbrobinson.fedorapeople.org/rest.spec
SRPM: http://pbrobinson.fedorapeople.org/rest-0.3-1.fc11.src.rpm

This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent
remote objects, which methods can then be called on. The majority of services
don't actually adhere to this strict definition. Instead, their RESTful end
point usually has an API that is just simpler to use compared to other types
of APIs they may support (XML-RPC, for instance). It is this kind of API that
this library is attempting to support.
Comment 1 Yanko Kaneti 2009-06-17 11:20:12 EDT
After going through the MUST list:

rpmlint:
rest.src: W: invalid-license LGPLv2.1

should be License: LGPLv2



Some cosmetic things:

BuildRequires: gtk-doc
is not really necessary , the tarball has that already built.

You can use 
%configure --disable-static
and spare one rm line later.


The source tarball matches upstream, the package builds in rawhide i386 and x86_64 mock.
After the license is is fixed this package looks fit to be APPROVED.
Comment 2 Peter Robinson 2009-06-17 11:51:53 EDT
I'll update the above.
Comment 3 Peter Robinson 2009-06-18 07:09:01 EDT
New Package CVS Request
=======================
Package Name: rest
Short Description: A library for access to RESTful web services 
Owners: pbrobinson
Branches: F-11 F-10
InitialCC:
Comment 4 Jason Tibbitts 2009-06-18 16:30:46 EDT
CVS done.
Comment 5 Peter Robinson 2009-06-18 18:20:53 EDT
built in rawhide
Comment 6 Peter Robinson 2009-06-24 16:34:25 EDT
Done. Thanks for the review!
Comment 7 Peter Robinson 2010-01-22 16:26:53 EST
Package Change Request
======================
Package Name: rest
New Branches: EL-4 EL-5
Owners: pbrobinson
Comment 8 Jason Tibbitts 2010-01-24 14:58:26 EST
CVS done.

Note You need to log in before you can comment on or make changes to this bug.